Bug 841112 - __pmDecodeIDList lacks check against PDU size
Summary: __pmDecodeIDList lacks check against PDU size
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcp   
(Show other bugs)
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks: 840765 CVE-2012-3418
TreeView+ depends on / blocked
 
Reported: 2012-07-18 08:10 UTC by Florian Weimer
Modified: 2012-08-20 03:52 UTC (History)
4 users (show)

Fixed In Version: pcp-3.6.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-20 03:52:42 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Resolve issues in decoding PCP namespace idlist PDUs (1.14 KB, patch)
2012-07-27 06:27 UTC, Nathan Scott
no flags Details | Diff

Description Florian Weimer 2012-07-18 08:10:46 UTC
__pmDecodeIDList does not check that the incoming PDU actually contains room for numids elements.  This looks like it could result in a client crash (read buffer overflow, not exploitable for code execution) when a server sends too few IDs.

Comment 1 Mark Goodwin 2012-07-22 23:44:09 UTC
Nathan requested assignment, thanks Nathan

Comment 2 Nathan Scott 2012-07-27 06:27:26 UTC
Created attachment 600699 [details]
Resolve issues in decoding PCP namespace idlist PDUs

Comment 3 Florian Weimer 2012-07-27 13:22:53 UTC
(In reply to comment #2)
> Created attachment 600699 [details]
> Resolve issues in decoding PCP namespace idlist PDUs

Looks good to me.

Comment 4 Huzaifa S. Sidhpurwala 2012-08-16 03:45:53 UTC
Upstream patch:

http://oss.sgi.com/cgi-bin/gitweb.cgi?p=pcp/pcp.git;a=commit;h=b441980d53be1835b25f0cd6bcc0062da82032dd

This issue has been addressed in pcp-3.6.5


Note You need to log in before you can comment on or make changes to this bug.